{
    name: "Alloettite Vex",
    spritenum: -594,
    megaStone: {
        "Alloette-Vex": "Alloette-Mega-Vex"
    },
    itemUser: ["Alloette-Vex"],
    onTakeItem(item, source) {
    	return !item.megaStone?.[source.baseSpecies.baseSpecies];
    },
    num: -688,
    gen: 6
}